#!/usr/bin/python
# -*- coding: utf-8 -*-

from pathlib import Path
from setuptools import setup

VERSION = open('src/dumplogs/_version.py').readlines()[-1].split()[-1].strip("\"'")
README = Path('README.md').read_text()

setup(
    name='ssa-' + Path().absolute().name,
    version=VERSION,
    description='NRAO Archive Dumplogs',
    long_description=README,
    author='NRAO SSA Team',
    author_email='dms-ssa@nrao.edu',
    url='TBD',
    license="GPL",
    install_requires=['blessings', 'pycapo', 'pytz', 'pika'],
    keywords=[],
    packages=['dumplogs'],
    package_dir={'':'src'},
    classifiers=[
        'Programming Language :: Python :: 3.8'
    ],
    entry_points={
        'console_scripts': ['dumplogs = dumplogs.commands:dumplogs']
    },
)
